P: Error at loading of ippCV library

7 Votes
LEGEND ,
Oct 20, 2020 Oct 20, 2020

Copy link to clipboard

Copied

On my computer it is impossible to start the Photoshop 22.0 After starting the program, following errormessage appears:

 

Your application is dynamically linked with Intel(R) IPP libraries version 2020.0.1.

No DLL from the list below is found an the system search path:

 ippcvm7.dll (the most suitable for your CPU)

Please provide a path to at least one of them.

 

The operating system is:

 

Edition Windows 10 Home
Version 20H2
Installiert am ‎27.‎05.‎2020
Betriebssystembuild 19042.572
Leistung Windows Feature Experience Pack 120.2212.31.0

 

The hardware is:

 

Gerätename HP_Leng
Prozessor AMD A6-3600 APU with Radeon(tm) HD Graphics   2.10 GHz
Installierter RAM 8,00 GB
Geräte-ID E2F99962-C5E4-461F-849F-D1979C252659
Produkt-ID 00326-10000-00000-AA210
Systemtyp 64-Bit-Betriebssystem, x64-basierter Prozessor
Stift- und Toucheingabe Für diese Anzeige ist keine Stift- oder Toucheingabe verfügbar.

Bug Won't fix
TOPICS
Windows

Views

39.8K

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Employee , Oct 21, 2020 Oct 21, 2020

Photoshop 2021 (v22.x) requires a CPU that supports SSE 4.2 or later.

https://helpx.adobe.com/photoshop/kb/known-issues.html#ErroratloadingofippCVlibrary

To determine if your CPU meets this SSE version support requirement, see Photoshop's Help > System Info dialog and look in or near the 4th line.

  1. Adobe Photoshop Version: 22.0.0 20200921.m.1053 2020/09/21: 0fb66349f4  x64
  2. Number of Launches: 6
  3. Operating System: Mac OS 10.15.5
  4. ystem architecture: Intel CPU Family:6, Model:14, S
...

Votes

Translate

Translate
replies 226 Replies 226
226 Comments
Adobe Employee ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

Photoshop 2021 (v22.x) nécessite un processeur prenant en charge SSE 4.2 ou version ultérieure.

https://helpx.adobe.com/photoshop/kb/known-issues.html#ErroratloadingofippCVlibrary

Pour déterminer si votre processeur répond à cette exigence de prise en charge de la version SSE, consultez la boîte de dialogue Aide> Informations système de Photoshop et regardez dans ou près de la 4ème ligne.


Version d'Adobe Photoshop: 22.0.0 20200921.m.1053 2020/09/21: 0fb66349f4 x64
Nombre de lancements: 6
Système d'exploitation: Mac OS 10.15.5
architecture ystem: Famille de processeurs Intel: 6, modèle: 14, pas à pas: 3 avec MMX, SSE Integer, SSE FP, SSE2, SSE3, SSE4.1, SSE4.2, AVX, AVX2, HyperThreading

Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

If you got this error:
"
    Error at loading of ippCV library
 
    Your application is dynamically linked with Intel(R) IPP libraries version 2020.0.1.
    No DLL from the list below is found an the system search path:
     ippcvm7.dll (the most suitable for your CPU)
    Please provide a path to at least one of them.
"
Here is the fix.

Despite what Adobe is saying officially, Photoshop 2021 does NOT require support of SSE4.2 to run.
The real problem is that:
- IPP libraries optimized for SSE3 are missing from distribution (they are available from Intel)
- OpenCV library was build with SSE4.2 requirement
To fix this download this pack of libs from any source below (it's the same):
https://www113.zippyshare.com/v/cqtznzt2/file.html
https://www.sendspace.com/file/vh0wjm
Unpack archive and copy libs to Photoshop 2021 installation directory (overwrite opencv_world440.dll when requested).

This fixes the problem an PS runs just fine.
But disclaimer as usual - all this at your own risk.

Please note that this is not a hack or something like this - this is official libraries from official sources.
Intel IPP libraries was taken from Intel Parallels Studio XE 2020.1.0 and contains valid signature from Intel.
OpenCV library was taken from official release of OpenCV 4.4.0 on GitHUB (https://github.com/opencv/opencv, build by VC15).

Votes

Translate

Translate

Report

Report
Contributor ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

Thank you very much.  I looked for this missing file but found it nowhere.  I will try this, though I already ordered an upgraded CPU for one of my installations.

 

Why is this not a no brainer that Adobe should provide this file or tell us that we need to do the above?

I tried this and it worked on my Win10-64 pro AMD Phenom II 1100T CPU.

 

I'm going to cross post your instruction to another forum if you don't mind.

Votes

Translate

Translate

Report

Report
Community Beginner ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

You wrote "It would be right for Adobe to back down and review this very dubious and counterproductive choice for marketing. Otherwise it should reimburse its customers who have computers that are not recent but still do their job! [Google translate from Italian]"

Federico gessi: Just how does your comment advance a solution? Read what others have provided

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

Real bug here is to require support for SSE4.2.
For what? Used libraries (IPP and OpenCV) allows to run on CPUs without SSE4.2 just fine without any additional effort from developers and without affecting performance for those who do have SSE 4.2.
How come AMD Phenom II X4 965 Black Edition (4 cores @ 3.4 GHZ) or AMD Phenom II X6 1075T (6 core @ 3.0 GHz) is not sufficient to run PS 2021, while Intel Core i3-2310M (2 core @ 2.1GHz) is considered enough?
It's a very unwise decision to say the least, and it's a shame...

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

Sure, feel free to share 😉

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

Photoshop 2021 (v22.x) requires a CPU that supports SSE 4.2 or later.

 

https://helpx.adobe.com/photoshop/kb/known-issues.html#ErroratloadingofippCVlibrary

 

To determine if your CPU meets this SSE version support requirement, see Photoshop's Help > System Info dialog and look in or near the 4th line.

Adobe Photoshop Version: 22.0.0 20200921.m.1053 2020/09/21: 0fb66349f4  x64
Number of Launches: 6
Operating System: Mac OS 10.15.5
ystem architecture: Intel CPU Family:6, Model:14, Stepping:3 with MMX, SSE Integer, SSE FP, SSE2, SSE3,SSE4.1, SSE4.2, AVX, AVX2, HyperThreading
 

Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
Contributor ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

So Jeffrey, does Adobe have any response to the fix posted above by shad0w?

Worked for me.

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

I will need to ask the engineers who know more about it.


Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
New Here ,
Oct 23, 2020 Oct 23, 2020

Copy link to clipboard

Copied

Bonjour Jeffrey,

Nous attendons avec impatience le correctif d'ADOBE ou bien une solution explicative détaillée pour résoudre ce problème.

Merci

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 24, 2020 Oct 24, 2020

Copy link to clipboard

Copied

Jeffrey, if possible, please reconsider Adobe's decision about requiring SSE4.2 to run PS 2021 in the next updates.

Used libraries (IPP and OpenCV) allows to run on CPUs without SSE4.2 just fine without any additional effort from developers and without affecting performance for those who do have SSE 4.2.
How come AMD Phenom II X4 965 Black Edition (4 cores @ 3.4 GHZ) or AMD Phenom II X6 1075T (6 core @ 3.0 GHz) is not sufficient to run PS 2021, while Intel Core i3-2310M (2 core @ 2.1GHz) is considered enough?
This does not seem logical at all...

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 24, 2020 Oct 24, 2020

Copy link to clipboard

Copied

Yesterday, I'm using AMD Phenom II X4 B97 and enjoying PS 2020.

Today, I upgraded to AMD Phenom II 1100T and got this ippCV error msg.

I was wondering who is upgrading and who is going backward? Me or PS?

Votes

Translate

Translate

Report

Report
New Here ,
Oct 24, 2020 Oct 24, 2020

Copy link to clipboard

Copied

Hello shadOw, merci beaucoup pour cette solution, espérons que ADOBE va faire le nécessaire.

Bonne journée.

Votes

Translate

Translate

Report

Report
Community Beginner ,
Oct 24, 2020 Oct 24, 2020

Copy link to clipboard

Copied

Since you were the one that switched computers and Adobe didn't, it should be pretty easy to figure this one out yourself...

Votes

Translate

Translate

Report

Report
Contributor ,
Oct 24, 2020 Oct 24, 2020

Copy link to clipboard

Copied

I had the 1100T and it worked until V22.  It does not have SSE4.  There is an 8 core version that works in this socket and does have the support, but just get the dlls above before fooling with it.

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 24, 2020 Oct 24, 2020

Copy link to clipboard

Copied

It’s encouraging that a software fix may have been discovered that does not involve the hardware… This could have been an oversight or inadvertent omission by Adobe, as errors sometimes happen especially in initial .0 releases of any product.

 

However, any solution that involves modifying the Adobe program itself – especially using third-party files – is absolutely against Adobe’s Terms of Service, and so is not allowed:

 

17. No Modifications: Except as expressly permitted in the Terms, you may not modify, port, adapt, or translate any portion of the Services or Software.

 
In other words, customers currently unable to run Photoshop 22.0 are strongly advised not to try this (which would violate their TOS), but rather continue using the previous major release of Photoshop until more details are forthcoming.

 

If a software solution is possible for customers, then the company could move forward with addressing it officially, and all that would be needed is patience. Surely, they did not intend to intentionally inconvenience any customers if they realized they could have avoided it.

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

Depuis la mise à jour d'octobre, Photoshop ne parvient pas à s'ouvrir. J'ai le message suivant (en anglais) :

"votre application est liée dynamiquement aux bibliothèques IPP d'Intel (R)

Aucune DLL de la liste ci-dessous ne se trouve sur le chemin de recherche du système:

ippcvn8.dll (le plus adapté à votre CPU)

ippcvn7.dll (facultatif)

Veuillez indiquer un chemin vers au moins l'un d'entre eux"

sauf que ça n'existe pas !

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

Really?
Users have already got official response from Adobe which is "use previous version or upgrade CPU".
Yes, sure - one will need to upgrade 6 core @ 3GHz AMD CPU just because Adobe wants some fancy extensions to CPU instruction set.
As for using previous version - Adobe always stated that by paying subscription you are paying for constant development and addition of new features.
What's the point to pay subscription then if users will have to use previous version?
Also go ahead and explain why Premiere Pro 2021, After Effects 2021 and Media Encoder 2021 can run just fine on CPU without SSE4.2, but Photoshop 2021 can't?
Why dropped support for Windows 7 was clearly stated weeks before Photoshop 2021 release, and raised requirements for CPU was not there at the release date (and is still stated only in the system requirements on the page in english, not present for other languages) and was added after tons of complaints from users?
And now you are saying that fixing something that should not be broken on the first place is illegal?
Come on, this is not how things should be going for paid product...

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

Agreed on almost all points, and that Adobe needs to sort this out and provide more answers – and hopefully an official software resolution as well, if possible.

But not agreed that users should intentionally break the terms of service with Adobe and violate their licensing agreement for the software.

Patience… and continue using the prior version, for the moment.

Thanks for your advocacy and help working towards a solution on this!

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

error-5dc8f0c2-425b-4a53-b564-6fa2332fb524-328373979.JPG

I have PAID for  PHOTOSHOP 2021 and has downlad it but it comes a message that say see the picture

my computer has following graphic card, why does it not WORK!!??

datorn-960d4ef1-38d6-4b16-b448-99f1252b3bc1-1697046215.JPG

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

Exactly, they make the mistake and also threaten the user with the issue of terms.
What's more, they should pay the user who found the solution

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

To be clear, Adobe has not threatened the user with the issue of terms. I am not Adobe; I am an end-user of the software just like you...

However, all customers agree to certain terms when using Adobe's software, and just saying that it's better not to violate those terms. There is no need to do so.

A week ago you could use the previous release of Photoshop 21.x with no problem. And today we still can – so until this issue is addressed by Adobe (hopefully relatively quickly), that looks to be the best course of action.

Votes

Translate

Translate

Report

Report
Engaged ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

*pepelpz 

That's not needed and that's not my goal.
I just want Photoshop to become better, or at least not to become worse.

@ProDesignTools 

I guess there is some misunderstanding here.
To me and I would say to most users it's not a problem to use PS 2020 even during couple of months from now on if Adobe would say that this will be fixed or at least will be looked into and concidered if this could be fixed.
But all they were saying is "use previous version or upgrade CPU", which to me reads like "it is what it is - live with it, it will not change".
That is the problem.

Votes

Translate

Translate

Report

Report
LEGEND ,
Oct 25, 2020 Oct 25, 2020

Copy link to clipboard

Copied

Error message:

Your application is dynamically linked with Intel(R)IPP libraries version 2020.0.1 (r0x35c5ec66)

No DLL from the list below is found on the system search path:

ippcvm7.dll (the most suitable for your CPU)

Please provide a path to at least one of them

OK

Votes

Translate

Translate

Report

Report
New Here ,
Oct 26, 2020 Oct 26, 2020

Copy link to clipboard

Copied

@shad0w You're a life saver! It worked, thank you!

Votes

Translate

Translate

Report

Report